package cn.reghao.tnb.content.app.exam.model.vo;

import cn.reghao.tnb.content.app.exam.model.po.QuestionOption;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2024-08-24 16:06:37
 */
@NoArgsConstructor
@AllArgsConstructor
@Setter
@Getter
public class QuestionAnswerInfo {
    private Long questionId;
    private Integer pos;
    private String content;

    public QuestionAnswerInfo(QuestionOption questionOption) {
        this.questionId = questionOption.getQuestionId();
        this.pos = questionOption.getPos();
        this.content = questionOption.getContent();
    }
}
